设为首页收藏本站

LUPA开源社区

 找回密码
 注册
文章 帖子 博客
LUPA开源社区 首页 IT综合资讯 查看内容

新版macOS默认不包含脚本语言运行时,并将移除Python 2.7

2019-6-8 19:20| 发布者: joejoe0332| 查看: 224| 评论: 0|原作者: oschina|来自: oschina

摘要: 根据 macOS 下一个主要版本 10.15(macOS Catalina) 的发布说明,从该版本起,macOS 默认不包含脚本语言运行时。在发布说明中苹果称,为了保持与旧版软件的兼容性,macOS 默认包含了脚本语言运行时,如 Python,Rub ...

根据 macOS 下一个主要版本 10.15(macOS Catalina) 的发布说明,从该版本起,macOS 默认不包含脚本语言运行时。

在发布说明中苹果称,为了保持与旧版软件的兼容性,macOS 默认包含了脚本语言运行时,如 Python,Ruby 和 Perl 等。但从 10.15 开始,macOS 默认不包含脚本语言运行时,用户需要自行安装其他软件包。

如果某些软件依赖于脚本语言,苹果建议开发者在应用程序中捆绑运行时。

另外,苹果也建议用户不要再使用 Python 2.7,因为未来的版本将移除 Python 2.7,它建议用户使用 Python 3。


酷毙

雷人

鲜花

鸡蛋

漂亮
  • 快毕业了,没工作经验,
    找份工作好难啊?
    赶紧去人才芯片公司磨练吧!!

最新评论

关于LUPA|人才芯片工程|人才招聘|LUPA认证|LUPA教育|LUPA开源社区 ( 浙B2-20090187  

返回顶部